#
# Copyright (C) Red Hat, Inc.
# http://redhat.com
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
cluster.name=insight

discovery.type: io.fabric8.insight.elasticsearch.discovery.FabricDiscoveryModule

discovery.zen.ping.multicast.enabled: false

plugin.mandatory: fabric8-insight, fabric8-discovery

# By default, no nodes contain data
node.data = false

# Use the known IP as the host
network.host = ${container:ip}

http.port = ${env:FABRIC8_ES_HTTP_PORT}
transport.tcp.port  = ${env:FABRIC8_ES_TCP_PORT}

# Enable HTTP
http.enabled = true

discovery.zookeeper.node=/fabric/registry/clusters/elasticsearch

# Thread pools
threadpool.cached.scheduled_size = 6

#
# Initial delay before the first indices management run.
#
insight.indices.management.initial = 1h
#
# Interval between two management run.
#
insight.indices.management.interval = 8h

#
# Number of indices to keep opened (one index per day, so one week by default).
# Older indices will be eventually stored and then closed or deleted.
#  -1: unlimited
#
insight.indices.management.opened = 7

#
# Number of indices to close and keep in ES.
# Older indices will be eventually stored and then deleted from ES.
#  -1: unlimited
#
insight.indices.management.closed = 14

#
# Number of repositories to store and keep in the repository.
# The indices will be stored in the repositories defined below.
#  -1: unlimited
#   0: do not store indices
#
insight.indices.management.stored = 0

bootstrap.mlockall = true